View Issue Details

IDProjectCategoryView StatusLast Update
13858Bug reports[All Projects] Import/Exportpublic2018-07-18 12:01
ReporterDenisChenuAssigned Toolle 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.13.x 
Summary13858: Unable to export TSV with debug, and unable to import TSV just exported
DescriptionIf debug is set to 2 : unable to export TSV
Steps To ReproduceImport included survey, set debug to 2
Try to export included survey in TSV
Additional InformationWith a log error file
2018/07/09 17:31:14 [error] [php] Use of undefined constant subqName - assumed 'subqName' (/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/helpers/expressions/em_manager_helper.php:10274)
Stack trace:
#0 /home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/controllers/admin/export.php(42): export->_surveyexport()
#1 unknown(0): export->survey()
#2 /home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/actions/CAction.php(109): ReflectionMethod->invokeArgs()
#3 /home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/core/Survey_Common_Action.php(83): export->runWithParamsInternal()
#4 /home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/CController.php(308): export->runWithParams()
#5 /home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/CController.php(286): AdminController->runAction()
#6 /home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/CController.php(265): AdminController->runActionWithFilters()
#7 /home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/controllers/AdminController.php(158): AdminController->run()
#8 /home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/CWebApplication.php(282): AdminController->run()
#9 /home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/CWebApplication.php(141): LSYii_Application->runController()
#10 /home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/base/CApplication.php(185): LSYii_Application->processRequest()
#11 /home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/index.php(194): LSYii_Application->run()
REQUEST_URI=/admin/export/sa/survey/action/exportstructuretsv/surveyid/114932
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.13.2 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Operating System (Server)not relevant
Webserver software & versionnot relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-07-09 17:35

developer  

limesurvey_survey_114932.lss (15,560 bytes)
DenisChenu

DenisChenu

2018-07-09 17:38

developer   ~48482

And with debug = 0
TSV is broken …

Erreur interne du serveur.html (1,279 bytes)
limesurvey_survey_114932.txt (17,234 bytes)
class	type/scale	name	relevance	text	help	language	validation	mandatory	other	default	same_default	allowed_filetypes	alphasort	answer_width	answer_width_bycolumn	array_filter	array_filter_exclude	array_filter_style	assessment_value	category_separator	choice_input_columns	choice_title	code_filter	commented_checkbox	commented_checkbox_auto	cssclass	date_format	date_max	date_min	display_columns	display_rows	display_type	dropdown_dates	dropdown_dates_minute_step	dropdown_dates_month_style	dropdown_prefix	dropdown_prepostfix	dropdown_separators	dropdown_size	dualscale_headerA	dualscale_headerB	em_validation_q	em_validation_q_tip	em_validation_sq	em_validation_sq_tip	equals_num_value	equation	exclude_all_others	exclude_all_others_auto	hidden	hide_tip	input_boxes	input_size	label_input_columns	location_city	location_country	location_defaultcoordinates	location_mapheight	location_mapservice	location_mapwidth	location_mapzoom	location_nodefaultfromip	location_postal	location_state	max_answers	max_filesize	max_num_of_files	max_num_value	max_num_value_n	max_subquestions	maximum_chars	min_answers	min_num_of_files	min_num_value	min_num_value_n	multiflexible_checkbox	multiflexible_max	multiflexible_min	multiflexible_step	num_value_int_only	numbers_only	other_comment_mandatory	other_numbers_only	other_replace_text	page_break	parent_order	pdfReport	pdfReportPrintAnswer	pdfReportSavedFileName	pdfReportSendByEmailAttachment	pdfReportSendByEmailContent	pdfReportSendByEmailMail	pdfReportSubTitle	pdfReportTitle	prefix	printable_help	public_statistics	question_template	random_group	random_order	rank_title	repeat_headings	reverse	samechoiceheight	samelistheight	scale_export	show_comment	show_grand_total	show_title	show_totals	showpopups	slider_accuracy	slider_custom_handle	slider_default	slider_default_set	slider_handle	slider_layout	slider_max	slider_middlestart	slider_min	slider_orientation	slider_rating	slider_reset	slider_reversed	slider_separator	slider_showminmax	statistics_graphtype	statistics_showgraph	statistics_showmap	suffix	text_input_columns	text_input_width	time_limit	time_limit_action	time_limit_countdown_message	time_limit_disable_next	time_limit_disable_prev	time_limit_message	time_limit_message_delay	time_limit_message_style	time_limit_timer_style	time_limit_warning	time_limit_warning_2	time_limit_warning_2_display_time	time_limit_warning_2_message	time_limit_warning_2_style	time_limit_warning_display_time	time_limit_warning_message	time_limit_warning_style	use_dropdown	value_range_allows_missing
S		sid		114932																																																																																																																																																			
S		owner_id		1																																																																																																																																																			
S		admin		Denis Chenu																																																																																																																																																			
S		active		N																																																																																																																																																			
S		adminemail		denis@sondages.pro																																																																																																																																																			
S		anonymized		N																																																																																																																																																			
S		format		G																																																																																																																																																			
S		savetimings		N																																																																																																																																																			
S		template		copievanilla																																																																																																																																																			
S		language		en																																																																																																																																																			
S		datestamp		N																																																																																																																																																			
S		usecookie		N																																																																																																																																																			
S		allowregister		N																																																																																																																																																			
S		allowsave		Y																																																																																																																																																			
S		autonumber_start		0																																																																																																																																																			
S		autoredirect		N																																																																																																																																																			
S		allowprev		N																																																																																																																																																			
S		printanswers		N																																																																																																																																																			
S		ipaddr		N																																																																																																																																																			
S		refurl		N																																																																																																																																																			
S		datecreated		2018-07-07 18:25:04																																																																																																																																																			
S		publicstatistics		N																																																																																																																																																			
S		publicgraphs		N																																																																																																																																																			
S		listpublic		N																																																																																																																																																			
S		htmlemail		Y																																																																																																																																																			
S		tokenanswerspersistence		N																																																																																																																																																			
S		assessments		N																																																																																																																																																			
S		usecaptcha		N																																																																																																																																																			
S		usetokens		N																																																																																																																																																			
S		bounce_email		denis@sondages.pro																																																																																																																																																			
S		tokenlength		15																																																																																																																																																			
S		showxquestions		Y																																																																																																																																																			
S		showgroupinfo		B																																																																																																																																																			
S		shownoanswer		Y																																																																																																																																																			
S		showqnumcode		X																																																																																																																																																			
S		bounceprocessing		N																																																																																																																																																			
S		showwelcome		Y																																																																																																																																																			
S		showprogress		Y																																																																																																																																																			
S		navigationdelay		0																																																																																																																																																			
S		nokeyboard		N																																																																																																																																																			
S		alloweditaftercompletion		N																																																																																																																																																			
S		sendconfirmation		Y																																																																																																																																																			
S		questionindex		0																																																																																																																																																			
S		gsid		1																																																																																																																																																			
S		showsurveypolicynotice		0																																																																																																																																																			
SL		surveyls_title		TSV subq with number		en																																																																																																																																																	
SL		surveyls_email_invite_subj		Invitation to participate in a survey		en																																																																																																																																																	
SL		surveyls_email_invite		Dear {FIRSTNAME},<br /> <br /> you have been invited to participate in a survey.<br /> <br /> The survey is titled:<br /> "{SURVEYNAME}"<br /> <br /> "{SURVEYDESCRIPTION}"<br /> <br /> To participate, please click on the link below.<br /> <br /> Sincerely,<br /> <br /> {ADMINNAME} ({ADMINEMAIL})<br /> <br /> ----------------------------------------------<br /> Click here to do the survey:<br /> {SURVEYURL}<br /> <br /> If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br /> {OPTOUTURL}<br /> <br /> If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br /> {OPTINURL}		en																																																																																																																																																	
SL		surveyls_email_remind_subj		Reminder to participate in a survey		en																																																																																																																																																	
SL		surveyls_email_remind		Dear {FIRSTNAME},<br /> <br /> Recently we invited you to participate in a survey.<br /> <br /> We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br /> <br /> The survey is titled:<br /> "{SURVEYNAME}"<br /> <br /> "{SURVEYDESCRIPTION}"<br /> <br /> To participate, please click on the link below.<br /> <br /> Sincerely,<br /> <br /> {ADMINNAME} ({ADMINEMAIL})<br /> <br /> ----------------------------------------------<br /> Click here to do the survey:<br /> {SURVEYURL}<br /> <br /> If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br /> {OPTOUTURL}		en																																																																																																																																																	
SL		surveyls_email_register_subj		Survey registration confirmation		en																																																																																																																																																	
SL		surveyls_email_register		Dear {FIRSTNAME},<br /> <br /> You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br /> <br /> To complete this survey, click on the following URL:<br /> <br /> {SURVEYURL}<br /> <br /> If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.		en																																																																																																																																																	
SL		surveyls_email_confirm_subj		Confirmation of your participation in our survey		en																																																																																																																																																	
SL		surveyls_email_confirm		Dear {FIRSTNAME},<br /> <br /> this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br /> <br /> If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br /> <br /> Sincerely,<br /> <br /> {ADMINNAME}		en																																																																																																																																																	
SL		surveyls_dateformat		5		en																																																																																																																																																	
SL		email_admin_notification_subj		Response submission for survey {SURVEYNAME}		en																																																																																																																																																	
SL		email_admin_notification		Hello,<br /> <br /> A new response was submitted for your survey '{SURVEYNAME}'.<br /> <br /> Click the following link to reload the survey:<br /> {RELOADURL}<br /> <br /> Click the following link to see the individual response:<br /> {VIEWRESPONSEURL}<br /> <br /> Click the following link to edit the individual response:<br /> {EDITRESPONSEURL}<br /> <br /> View statistics by clicking here:<br /> {STATISTICSURL}		en																																																																																																																																																	
SL		email_admin_responses_subj		Response submission for survey {SURVEYNAME} with results		en																																																																																																																																																	
SL		email_admin_responses		Hello,<br /> <br /> A new response was submitted for your survey '{SURVEYNAME}'.<br /> <br /> Click the following link to reload the survey:<br /> {RELOADURL}<br /> <br /> Click the following link to see the individual response:<br /> {VIEWRESPONSEURL}<br /> <br /> Click the following link to edit the individual response:<br /> {EDITRESPONSEURL}<br /> <br /> View statistics by clicking here:<br /> {STATISTICSURL}<br /> <br /> <br /> The following answers were given by the participant:<br /> {ANSWERTABLE}		en																																																																																																																																																	
SL		surveyls_numberformat		1		en																																																																																																																																																	
G	G0	My first question group	1			en																																																																																																																																																	
Q	F	Q00	1	A first example question. Please answer this question:	This is a question help text.	en			N		1																																																																																							core																														1																							
SQ	0	subqName	1	1		en																																																																																																																																																	
SQ	0	subqName	! is_empty(Q00_1.NAOK)	2		en																																																																																																																																																	
A	0	1		1		en																																																																																																																																																	
A	0	2		2		en																																																																																																																																																	
DenisChenu

DenisChenu

2018-07-09 17:40

developer  

olle

olle

2018-07-18 11:42

administrator   ~48530

Hey Denis! You don't have to work on this! Dominik is re-writing the complete logic. The new system will use the LSS export and then convert that data to TSV. That way, we only have ONE module which exports data.
DenisChenu

DenisChenu

2018-07-18 11:47

developer   ~48531

@olle : something working before … need to be fixed.

I already said i think rewriting must be done in 4.0 only . A lot of user use TSV export/import today in real situation (but they surely are on 2.6lts or 2.7X)
olle

olle

2018-07-18 12:01

administrator   ~48532

Since the difference in question attributes etc was so big when comparing import LSS vs TSV, we decided to do the rewrite now rather than fixing each bug step by step.

Issue History

Date Modified Username Field Change
2018-07-09 17:35 DenisChenu New Issue
2018-07-09 17:35 DenisChenu File Added: limesurvey_survey_114932.lss
2018-07-09 17:35 DenisChenu File Added: Capture du 2018-07-09 17-35-08.png
2018-07-09 17:38 DenisChenu File Added: Erreur interne du serveur.html
2018-07-09 17:38 DenisChenu File Added: limesurvey_survey_114932.txt
2018-07-09 17:38 DenisChenu Note Added: 48482
2018-07-09 17:40 DenisChenu File Added: Capture du 2018-07-09 17-39-48.png
2018-07-09 17:58 DenisChenu Summary Unable to export TSV with debug => Unable to export TSV with debug, and unable to import TSV just exported
2018-07-10 08:11 DenisChenu Assigned To => dominikvitt
2018-07-10 08:11 DenisChenu Status new => assigned
2018-07-18 11:39 DenisChenu Assigned To dominikvitt => DenisChenu
2018-07-18 11:42 olle Note Added: 48530
2018-07-18 11:46 DenisChenu Assigned To DenisChenu => olle
2018-07-18 11:46 DenisChenu Status assigned => resolved
2018-07-18 11:46 DenisChenu Resolution open => fixed
2018-07-18 11:46 DenisChenu Fixed in Version => 3.13.x
2018-07-18 11:47 DenisChenu Note Added: 48531
2018-07-18 12:01 olle Note Added: 48532